<?xml version="1.0" encoding="utf-8"?>
<resources>
    <declare-styleable name="TitleBar">
        <attr name="bar_title" format="string" />
        <attr name="bar_icon" format="reference" />
    </declare-styleable>

    <declare-styleable name="SelectableInput">
        <attr name="mode">
            <flag name="input" value="0x00000000" />
            <flag name="select" value="0x00000001" />
            <flag name="date" value="0x00000002" />
        </attr>
        <attr name="required" default="false" format="boolean" />
        <attr name="name" format="string" />
        <attr name="spinner_hint" format="string" />
        <attr name="edittext_hint" format="string" />
        <attr name="enabled" format="boolean" />
        <attr name="edit_width" format="dimension" />
        <attr name="edit_height" format="dimension" />
        <attr name="text_size" format="dimension" />
    </declare-styleable>

    <declare-styleable name="CommonBtn">
        <attr name="btn_name" format="string" />
        <attr name="btn_icon" format="reference" />
        <attr name="btn_bg" format="reference" />
    </declare-styleable>

    <declare-styleable name="SignatureView">
        <attr name="paint_color" format="color" />
        <attr name="stroke_width" format="integer" />
    </declare-styleable>

    <declare-styleable name="ExpandableTabLayout">
        <attr name="expand_direction">
            <flag name="downwards" value="0x00000000" />
            <flag name="upwards" value="0x00000001" />
        </attr>
        <attr name="interactive" format="boolean" />
        <attr name="expand_title" format="string" />
    </declare-styleable>
</resources>